Xena Z400qx Thor Ethernet Traffic Generator
Dual NRZ and PAM4 Ethernet test platform for 10G to 400G high-speed network validation
Z400 Thor is part of Xena Networks’ advanced Ethernet Traffic Generation platform, designed for high-performance testing of both NRZ and PAM4-based Ethernet networks. It supports testing from 10G up to 400G, making it suitable for next-generation high-speed network validation.
Thor is a versatile solution that bridges traditional NRZ Ethernet testing with modern PAM4 technologies. It also supports Auto-Negotiation and Link Training (AN/LT), enabling accurate validation of advanced Ethernet behaviours. It sits alongside other Xena platforms such as Z10 Odin, Z100 Loki, and Z800 Freya, forming a scalable ecosystem for multi-speed network testing up to future 1.6Tbps systems.
- Supports NRZ and PAM4 Ethernet testing across a wide speed range
- Enables NRZ testing from 10G, 25G, 40G, 50G, and 100G
- Supports PAM4 testing from 50G, 100G, 200G, up to 400G
- Includes support for Auto-Negotiation and Link Training (AN/LT)
- Part of the scalable Xena Ethernet testing ecosystem (Odin, Loki, Freya, Edun)
- Enables validation of next-generation high-speed Ethernet infrastructure
- Supports both functional and performance testing of network devices
- Available for deployment in Compact and modular chassis systems
- Designed for telecom, enterprise, and hyperscale data centre environments
- Dual-mode architecture supporting NRZ and PAM4 Ethernet traffic generation
- Interfaces: 2 × QSFP-DD ports
- PAM4 support up to 400G (IEEE 802.3bs / 802.3cd standards)
- NRZ support up to 100G Ethernet testing
- Supports multiple Ethernet configurations: 10G / 25G / 40G / 50G / 100G / 200G / 400G
- 56G SerDes line coding support for advanced high-speed testing
- Compatible with XenaCompact 1U and XenaBay 4U chassis platforms
- Supports optical Ethernet standards across all major speeds
- Integrated software suite: XenaManager, OpenAutomation, and TimeSynch
- Automation support for RFC2544, Y.1564, RFC2889, and RFC3918 testing
- Designed for scalable lab, telecom, and enterprise validation environments
Z400qx Thor
- Interfaces: 2 × QSFP-DD
- Supported speeds and modes:
- 1 × 400GE PAM4 (IEEE 802.3bs / ETC 400G)
- 2 × 200GE PAM4 (802.3cd)
- 4 × 100GE PAM4 (802.3cd)
- 8 × 50GE PAM4 (802.3cd)
- 2 × 100GE NRZ (802.3bj)
- 4 × 50GE NRZ (ETC 25G/50G R2.0)
- 2 × 40GE NRZ (802.3ba)
- 8 × 25GE NRZ (IEEE 802.3by / ETC 25G/50G R2.0)
- 8 × 10GE NRZ (802.3ae)
- Power capacity:
- Single cage: QSFP-DD up to 25W
- Dual cage: 15W per cage
- Platform support: XenaCompact and XenaBay (occupies 2 slots in B2400 chassis)
Advanced Test, Measurement & Network Assurance Solutions